// 额度申请
export const applyLimit = {
  methods: {
    goApplyLimit () {
      this.loginInterceptor(() => {
        this.$http.get('/web/api/credit/apply/check', {params: {productCode: this.baseCode.can_accept_product}}).then(res => {
          this.getRequestDeal(res, data => {
            this.$router.push('/center/limitApply')
          })
        })
      })
    }
  }
}

// 提款申请
export const drawApply = {
  filters: {
    auditStatusFilter: function (status) {
      let sta = ''
      switch (status) {
        case 201:
          sta = '受理中'
          break
        case 202:
          sta = '未通过'
          break
        case 200:
          sta = '已通过'
          break
        default:
          sta = '其他'
      }
      return sta
    },
    drawStatusFilter: function (status) {
      let sta = ''
      switch (status) {
        case 211:
          sta = '未打款'
          break
        case 210:
          sta = '已打款'
          break
      }
      return sta
    }
  },
  methods: {
    dealWithdraw (creditCode) {
      this.$http.get('/web/api/draw/apply/check', {params: {creditCode: creditCode}})
        .then(res => {
          this.getRequestDeal(res, data => {
            this.goRouter(`/center/withdraw/${creditCode}`)
          })
        })
    },
    // 提款申请
    withdraw (code) {
      if (code) {
        this.dealWithdraw(code)
      } else {
        this.$http.get('/web/api/credit/apply/getmy').then(res => {
          this.getRequestDeal(res, data => {
            if (data.creditInfo[0]) {
              // 额度编号
              this.dealWithdraw(data.creditInfo[0].code)
            } else {
              this.$message.show('当前额度为0，可申请额度后再提款')
            }
          })
        })
      }
    }
  }
}
